
(set-face-attribute 'default nil :font "Monospace-11" )
(set-frame-font "Monospace-11" nil t)

;; Notice that 110 = 80+30 (80, the text; 30, the sr-speedbar) and
;; 42 = 39+3 (39, the text; 3, scrollbar, mode line, minibuffer)
;;
;; You should start Emacs without a 'desktop' file. Exit saving the desktop,
;; then restart Emacs and visit the buffers you like. Have fun!
;;
(setq default-frame-alist
      '(
        (width . 110) ; character
        (height . 49) ; lines
        (font . "Monospace-11") ; font
        ))


;; Adds the MELPA repo to Emacs Packages
(when (>= emacs-major-version 24)
  (require 'package)
  (add-to-list
   'package-archives
   '("melpa" . "http://melpa.org/packages/")
   t)
  (package-initialize))

;; Sr-speedbar startup
(defun start-sr-speedbar ()
  "My customization for `sr-speedbar' startup."
  (interactive)

  ;; Start sr-speedbar at Emacs startup
  (sr-speedbar-open)
  )

;; Start sr-speedbar
(add-hook 'emacs-startup-hook 'start-sr-speedbar)

;; Setup sr-speedbar
(setq sr-speedbar-default-width 30)
(setq sr-speedbar-width 30)
(setq sr-speedbar-max-width 30)
(setq sr-speedbar-auto-refresh t)
;;(setq sr-speedbar-right-side nil)

;; This regards SpeedBar NOT SrSpeedBar!
(setq speedbar-show-unknown-files t)
(setq speedbar-directory-unshown-regexp
      "^\\(CVS\\|RCS\\|SCCS\\|\\.\\.*$\\)\\'")

;; The value of 'speedbar-file-unshown-regexp' is generated by the variable
;; 'completion-ignored-extensions' at which we can add other extensions...
(setq completion-ignored-extensions
      (append '(".out") completion-ignored-extensions))

(setq completion-ignored-extensions
      (append '(".exe") completion-ignored-extensions))


(setq auto-save-list-file-prefix nil)

;; Instead of saving on ~/.emacs.d/init.el
(setq custom-file "~/.emacs.d/custom.el")
(load custom-file)

;; Instead of saving on ~/.emacs.desktop
(setq desktop-base-file-name "~/.emacs.d/desktop")

;; Instead of saving on ~/.emacs.desktop.lock
(setq desktop-base-lock-name "~/.emacs.d/desktop.lock")

;; Set tool bar to show image only
(setq tool-bar-style 'image)

;; Save desktop
(desktop-save-mode 1)

(column-number-mode 1)
